Subject: halvah

From: [email-masked] (Daniel Paul Checkman)
Date: 31 Mar 1994 18:32:42 GMT

Okay, now we know that the Middle Eastern halvah is sesame and honey, and we    
know that the Indian halvah is semolina-based.  Now I guess my question is, how
did they end up with the same name?  I mean, is it just a coincidence, or did
one halvah influence the other in some weird way?
:-Dan